#pragma once

#include "Tfillable.h"

#include "TmyVertex.h"
//
// Tcircle
//
class Tcircle : public Tfillable {
	private:
		static const int			 sfNumVertices;
		static TmyVertex			 sfCircleVertices[];

	protected:
			//
			// Override from TgraphicsObject
			//
		virtual void DrawObjectGeom(Td3dDrawable&, LPDIRECT3DDEVICE9);

	public:
		static void sInitializeCircle(Td3dDrawable*);

		virtual ~Tcircle();
		Tcircle();

			// This is from TgraphicsObject ...
		virtual void SetSecondPosition(const D3DXVECTOR3 &p);
		virtual void EnableShowCollisionCircles();
		virtual bool IntersectsBound(const T2dBound&);

		void  SetCircle(const D3DXVECTOR3 &p, float);
		void  SetRadius(float);
		void  SetCenter(const D3DXVECTOR3&);

		const D3DXVECTOR3& GetCenter();
		float GetRadius();
};
