#pragma once

#include "Ttexture.h"
#include "GraphicsAPI.h"

class TdrawTexture   : public Ttexture
{
	public:
  		TdrawTexture(LPDIRECT3DDEVICE9 pDevice) : Ttexture(pDevice) { 
   		 	fEffectBuffer = NULL; 
		}
  		virtual ~TdrawTexture();

  		virtual bool CreateD3DTexture(int textureSize);

  		virtual void UpdateTexture();

		virtual void DrawCircleInTexture(int cx, int cy, int radius, unsigned int colorIndex);

	protected:
		virtual bool CopyToTexture(unsigned char *buf);

  		int 	fTextureSize;
  		unsigned char *fEffectBuffer; // this thing can store interesting effects :-)

};
