
#pragma once

#include "Tshadable.h"

class Tfillable : public Tshadable {
	
	// File Texture support (index into Td3dDrawable::fFileTextureLibrary
	BoolObjAttr(Texture)
	SimpleObjAttr(int, TextureIndex)

	// Texture blending/Transparency support
	BoolObjAttr(AlphaBlending)

	//
	// WORD	fShadeMode
	SimpleObjAttr(WORD, FillMode);

	protected:
		virtual void SetObjectD3DAttributes(Td3dDrawable&, LPDIRECT3DDEVICE9);
		virtual void UnSetObjectD3DAttributes(Td3dDrawable&, LPDIRECT3DDEVICE9);

	public:

		virtual ~Tfillable();
		Tfillable();
};
