#include "Tworld.h"

#include "../GraphicsAPI/TfileTexture.h"

Tworld::Tworld(Td3dDrawable &d1, Td3dDrawable &d2) :
	fDrawTexture1(d1.D3DDevice()),
	fDrawTexture2(d2.D3DDevice())
{
	SetToDrawCircle();
	fTextureEnabled = false;
	fTransparencyEnabled = false;
	fTextureIndex = -1;

	InitObject(0, 0);
	CompleteObjectAt(2, 2);

	//
	// Do Draw Texture initialization ...
	fDrawTexture1.CreateD3DTexture(512);
	fDrawTexture2.CreateD3DTexture(512);
		// now set the texture into Td3dDrawable::fTextureLibrary ...
	d1.ReplaceTextureAt(7, &fDrawTexture1);
	d2.ReplaceTextureAt(7, &fDrawTexture2);
}

void 
Tworld::DrawWorld(Td3dDrawable &d, LPDIRECT3DDEVICE9 d3dDevice) 
{
	fAllObject.DrawObject(d);
}
