#include "StdAfx.h"
#include "Td3dDrawable.h"


#include "GraphicsAPI/Tcircle.h"
#include "Model/Tworld.h"

void Td3dDrawable::DrawableSpecificDraws()
{
}


void Td3dDrawable::RedrawDrawable() 
{
	if (fD3DDevice == NULL)
		return;

	fD3DDevice->Clear(0,						// number of rectangles, 0 means the entire area
					NULL,						// rectangles to be cleared, NULL means the entire area
					D3DCLEAR_TARGET, 			// clear target (color) (we are not changing the z buffer)
					fBgColor,					// new color to clear to
					0.0f,						// new Z values to clear to
					0);							// new Stencil buffer values to clear to

	fD3DDevice->BeginScene();

		DrawableSpecificDraws();
		fWorld->DrawWorld(*this, fD3DDevice);

	fD3DDevice->EndScene();
	fD3DDevice->Present(NULL, NULL, NULL, NULL);
}