#include "GraphicsAPI.h"
#include "Tcircle.h"
#include "Tpoint.h"
#include "Trectangle.h"
#include "TnormRectangle.h"

extern void InitializeGraphicsSystem(Td3dDrawable *d)
{
	Tcircle::sInitializeCircle(d);
	Tpoint::sInitializePoint(d);
	Trectangle::sInitializeRectangle(d);
	TnormRectangle::sInitializeNormRectangle(d);
}
